package com.tmovie.model;
// Generated Aug 5, 2017 5:22:44 PM by Hibernate Tools 4.3.5.Final

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * MigratedVideoPages generated by hbm2java
 */
@Entity
@Table(name = "migrated_video_pages", catalog = "medusa")
public class MigratedVideoPage implements java.io.Serializable {

    private Integer id;
    @JsonIgnore
    private VideoPage videoPage;
    private String videoLink;

    public MigratedVideoPage() {
    }

    public MigratedVideoPage(VideoPage videoPage, String videoLink) {
        this.videoPage = videoPage;
        this.videoLink = videoLink;
    }

    @Id
    @GeneratedValue(strategy = IDENTITY)

    @Column(name = "id", unique = true, nullable = false)
    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "video_page_id")
    public VideoPage getVideoPage() {
        return this.videoPage;
    }

    public void setVideoPage(VideoPage videoPages) {
        this.videoPage = videoPages;
    }

    @Column(name = "video_link", length = 1024)
    public String getVideoLink() {
        return this.videoLink;
    }

    public void setVideoLink(String videoLink) {
        this.videoLink = videoLink;
    }
}
